#if !defined(AFX_DLGFTP_H__17E9B4FB_4B8C_4421_AD3D_133B0F589842__INCLUDED_)
#define AFX_DLGFTP_H__17E9B4FB_4B8C_4421_AD3D_133B0F589842__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgFtp.h : header file
//
#include "EditFtpFolder.h"

/////////////////////////////////////////////////////////////////////////////
// CDlgFtp dialog

class CDlgFtp : public CDialog
{
// Construction
public:
	CDlgFtp(CWnd* pParent = NULL);   // standard constructor
	LONG m_nUserId;
// Dialog Data
	//{{AFX_DATA(CDlgFtp)
	enum { IDD = IDD_DLG_FTP };
	CEditFtpFolder	m_EditFtpPath;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgFtp)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
private:
	BOOL OnBtnGetFtp();
	BOOL OnBtnSetFtp();
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgFtp)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGFTP_H__17E9B4FB_4B8C_4421_AD3D_133B0F589842__INCLUDED_)
